Summary: The Gimp Toolkit
Name: gtk+
Version: 1.0.6
Release: 5
Group: X11/Libraries
Copyright: LGPL
Url: http://www.gimp.org/gtk/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gimp.org/pub/gtk/v1.0/%{name}-%{version}.tar.gz
Patch: %{name}-%{version}-tree.patch
BuildRoot: /var/tmp/%{name}-root

%description
The X libraries originally written for the GIMP, which are now used by
several other programs as well. Including GTK, GDK and GLIB.


%package devel
Summary: GIMP Toolkit and GIMP Drawing Kit
Group: X11/Libraries
Requires: gtk+ = %{version}

%description devel
Static libraries and header files for the GIMP's X libraries, which are
available as public libraries.  GLIB includes generally useful data
structures, GDK is a drawing toolkit which provides a thin layer over
Xlib to help automate things like dealing with different color depths,
and GTK is a widget set for creating user interfaces.


%prep
%setup -q
%patch -p1


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --disable-nls
make
# Remake info files
rm -f docs/*.info
make -C docs MAKEINFO="makeinfo --no-split"


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install
strip     $RPM_BUILD_ROOT/usr/lib/lib*.so.*
chmod 755 $RPM_BUILD_ROOT/usr/lib/lib*.so.*
chmod 755 $RPM_BUILD_ROOT/usr/lib/lib*.la
chmod 644 $RPM_BUILD_ROOT/usr/lib/lib*.a
gzip -9f  $RPM_BUILD_ROOT/usr/info/*

# prepare for %doc
cd docs
perl -pi -e 's|dvips|dvips -t letter|' Makefile.sgml
make -f Makefile.sgml
rm -f gtk_tut_it*
gzip -9f *.ps
mkdir html; mv gtkfaq*.html gtk_tut*.html gtk_tut_*.gif html


%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info /usr/info/gdk.info.gz /usr/info/dir
/sbin/install-info /usr/info/gtk.info.gz /usr/info/dir
/sbin/install-info /usr/info/glib.info.gz /usr/info/dir

%preun devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/gdk.info.gz /usr/info/dir
    /sbin/install-info --delete /usr/info/gtk.info.gz /usr/info/dir
    /sbin/install-info --delete /usr/info/glib.info.gz /usr/info/dir
fi


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
/usr/lib/lib*.so.*


%files devel
%defattr(-,root,root)
%doc examples docs/*.txt docs/*.dvi docs/*.ps.gz docs/html
/usr/bin/*
/usr/include/*
/usr/info/*
/usr/lib/glib
/usr/lib/lib*.a
/usr/lib/lib*.la
/usr/lib/lib*.so
/usr/man/man*/*
/usr/share/aclocal/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Feb  5 1999 Hao Li <hli@wag.caltech.edu>
- This package includes glib. gtk+ and glib are split into two packages only
  from v1.1.
